Changeset 1005 for trunk


Ignore:
Timestamp:
Oct 15, 2013 9:52:16 AM (6 years ago)
Author:
tkr
Message:

Re-running the autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/Couenne/configure

    r1000 r1005  
    10951095  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
    10961096  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
    1097   --enable-doscompile     Under Cygwin, compile so that executables run under
    1098                           DOS. Set to mingw to use gcc/g++/ld with
    1099                           -mno-cygwin. Set to msvc to use cl/link (or
    1100                           icl/link). Default when mentioned: mingw. Default
    1101                           when not mentioned: disabled.
     1097
     1098  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    11021099  --enable-debug          compile all projects with debug options tests
    11031100                          (implies --disable-shared)
     
    16671664# to make correct call to Fortran routines
    16681665
    1669 case $build in
    1670   *-mingw*)
    1671     if test "${LD+set}" = set; then :; else
    1672       LD=link
    1673     fi
    1674     ;;
    1675  esac
    1676  case $enable_doscompile in
    1677    msvc)
    1678      if test "x${LD+set}" = xset; then :; else
    1679        LD=link
    1680      fi
    1681      ;;
    1682  esac
    1683 
    16841666ac_aux_dir=
    16851667for ac_dir in $srcdir $srcdir/.. $srcdir/../..; do
     
    17401722
    17411723
    1742  # Check whether --enable-doscompile or --disable-doscompile was given.
     1724
     1725  # for backward compatibility
     1726  # Check whether --enable-doscompile or --disable-doscompile was given.
    17431727if test "${enable_doscompile+set}" = set; then
    17441728  enableval="$enable_doscompile"
    1745   if test "$enable_doscompile" != no; then
    1746      case $build in
    1747        *-cygwin* | *-mingw*) ;;
    1748        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1749 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    1750    { (exit 1); exit 1; }; } ;;
    1751      esac
    1752    fi
     1729  enable_doscompile=$enableval
    17531730else
    17541731  enable_doscompile=no
    17551732fi;
    1756  case "$enable_doscompile" in
    1757    mingw)
    1758      case $build in
    1759        *-mingw*) enable_doscompile=no ;;
    1760      esac
    1761      ;;
    1762    msvc|no) ;;
    1763    yes) enable_doscompile=mingw ;;
    1764    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1765                     Try configure --help=recursive." >&5
    1766 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1767                     Try configure --help=recursive." >&2;}
     1733
     1734  # Check whether --enable-msvc or --disable-msvc was given.
     1735if test "${enable_msvc+set}" = set; then
     1736  enableval="$enable_msvc"
     1737  enable_msvc=$enableval
     1738else
     1739  enable_msvc=no
     1740     if test "$enable_doscompile" = msvc ; then
     1741       enable_msvc=yes
     1742     elif test "$enable_doscompile" != no ; then
     1743       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1744echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
    17681745   { (exit 1); exit 1; }; }
    1769       ;;
    1770   esac
    1771   if test "$enable_doscompile" != no ; then
    1772     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1773 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
     1746     fi
     1747
     1748fi;
     1749
     1750  if test "$enable_msvc" = yes; then
     1751    case $build in
     1752      *-cygwin* | *-mingw*) ;;
     1753      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1754echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1755   { (exit 1); exit 1; }; } ;;
     1756    esac
    17741757  fi
     1758
     1759
     1760 case $build in
     1761  *-mingw*)
     1762    if test "${LD+set}" = set; then :; else
     1763      LD=link
     1764    fi
     1765    ;;
     1766 esac
     1767 if test $enable_msvc = yes ; then
     1768   if test "x${LD+set}" = xset; then :; else
     1769     LD=link
     1770   fi
     1771 fi
     1772
     1773
     1774# Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
     1775if test "${enable_static_standardlibs+set}" = set; then
     1776  enableval="$enable_static_standardlibs"
     1777  case "$enableval" in
     1778     no | yes | auto ) ;;
     1779     *)
     1780       { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
     1781echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
     1782   { (exit 1); exit 1; }; } ;;
     1783   esac
     1784   use_static_standardlibs=$enableval
     1785else
     1786  use_static_standardlibs=no
     1787fi;
     1788
    17751789
    17761790
     
    18151829case $build in
    18161830  *-cygwin* | *-mingw*)
    1817              if test "$enable_doscompile" = msvc ; then
    1818                comps="icl cl"
     1831             if test "$enable_msvc" = yes ; then
     1832               comps="icl cl gcc"
    18191833             else
    1820                comps="gcc cl"
     1834               comps="gcc icl cl"
    18211835             fi ;;
    18221836  *-*-solaris*)
     
    26712685            ;;
    26722686        esac
    2673         case $enable_doscompile in
    2674           mingw)
    2675             CFLAGS="-mno-cygwin"
    2676             cat >conftest.$ac_ext <<_ACEOF
    2677 /* confdefs.h.  */
    2678 _ACEOF
    2679 cat confdefs.h >>conftest.$ac_ext
    2680 cat >>conftest.$ac_ext <<_ACEOF
    2681 /* end confdefs.h.  */
    2682 
    2683 int
    2684 main ()
    2685 {
    2686 int i=0; i++;
    2687   ;
    2688   return 0;
    2689 }
    2690 _ACEOF
    2691 rm -f conftest.$ac_objext conftest$ac_exeext
    2692 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2693   (eval $ac_link) 2>conftest.er1
    2694   ac_status=$?
    2695   grep -v '^ *+' conftest.er1 >conftest.err
    2696   rm -f conftest.er1
    2697   cat conftest.err >&5
    2698   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2699   (exit $ac_status); } &&
    2700          { ac_try='test -z "$ac_c_werror_flag"
    2701                          || test ! -s conftest.err'
    2702   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2703   (eval $ac_try) 2>&5
    2704   ac_status=$?
    2705   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2706   (exit $ac_status); }; } &&
    2707          { ac_try='test -s conftest$ac_exeext'
    2708   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2709   (eval $ac_try) 2>&5
    2710   ac_status=$?
    2711   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2712   (exit $ac_status); }; }; then
    2713   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2714 else
    2715   echo "$as_me: failed program was:" >&5
    2716 sed 's/^/| /' conftest.$ac_ext >&5
    2717 
    2718 fi
    2719 rm -f conftest.err conftest.$ac_objext \
    2720       conftest$ac_exeext conftest.$ac_ext
    2721             CFLAGS=
    2722           ;;
    2723         esac
    27242687    esac
    27252688  fi
     
    29122875    CFLAGS="$OPT_CFLAGS"
    29132876  fi
     2877
    29142878else
    29152879  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    30623026  clang* ) ;;
    30633027  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3064     case $build in
     3028
     3029 case $build in
    30653030  *-mingw*)
    30663031    if test "${LD+set}" = set; then :; else
     
    30693034    ;;
    30703035 esac
    3071  case $enable_doscompile in
    3072    msvc)
    3073      if test "x${LD+set}" = xset; then :; else
    3074        LD=link
    3075      fi
    3076      ;;
    3077  esac
     3036 if test $enable_msvc = yes ; then
     3037   if test "x${LD+set}" = xset; then :; else
     3038     LD=link
     3039   fi
     3040 fi
    30783041
    30793042    ;;
    30803043esac
     3044
     3045# check whether to add flags for static linking against standard libraries to LDFLAGS
     3046if test x$use_static_standardlibs != xno ; then
     3047  case $build in
     3048    *-mingw*)
     3049      static_standardlib_flag=-static
     3050      ;;
     3051    *)
     3052      static_standardlib_flag=-static-libgcc
     3053      ;;
     3054  esac
     3055  case " $LDFLAGS " in
     3056    *" $static_standardlib_flag "* ) ;;
     3057    *)
     3058    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3059echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3060    coin_save_LDFLAGS="$LDFLAGS"
     3061    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3062    cat >conftest.$ac_ext <<_ACEOF
     3063/* confdefs.h.  */
     3064_ACEOF
     3065cat confdefs.h >>conftest.$ac_ext
     3066cat >>conftest.$ac_ext <<_ACEOF
     3067/* end confdefs.h.  */
     3068
     3069int
     3070main ()
     3071{
     3072int i=0;
     3073  ;
     3074  return 0;
     3075}
     3076_ACEOF
     3077rm -f conftest.$ac_objext conftest$ac_exeext
     3078if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3079  (eval $ac_link) 2>conftest.er1
     3080  ac_status=$?
     3081  grep -v '^ *+' conftest.er1 >conftest.err
     3082  rm -f conftest.er1
     3083  cat conftest.err >&5
     3084  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3085  (exit $ac_status); } &&
     3086         { ac_try='test -z "$ac_c_werror_flag"
     3087                         || test ! -s conftest.err'
     3088  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3089  (eval $ac_try) 2>&5
     3090  ac_status=$?
     3091  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3092  (exit $ac_status); }; } &&
     3093         { ac_try='test -s conftest$ac_exeext'
     3094  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3095  (eval $ac_try) 2>&5
     3096  ac_status=$?
     3097  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3098  (exit $ac_status); }; }; then
     3099  echo "$as_me:$LINENO: result: yes" >&5
     3100echo "${ECHO_T}yes" >&6
     3101else
     3102  echo "$as_me: failed program was:" >&5
     3103sed 's/^/| /' conftest.$ac_ext >&5
     3104
     3105echo "$as_me:$LINENO: result: no" >&5
     3106echo "${ECHO_T}no" >&6
     3107       LDFLAGS="$coin_save_LDFLAGS"
     3108       if test $use_static_standardlibs = yes ; then
     3109         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3110echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3111   { (exit 1); exit 1; }; }
     3112       fi
     3113
     3114fi
     3115rm -f conftest.err conftest.$ac_objext \
     3116      conftest$ac_exeext conftest.$ac_ext
     3117    ;;
     3118  esac
     3119fi
    30813120
    30823121ac_ext=c
     
    30893128case $build in
    30903129  *-cygwin* | *-mingw*)
    3091      if test "$enable_doscompile" = msvc ; then
    3092        coin_f77_comps="ifort fl32 compile_f2c"
     3130     if test "$enable_msvc" = yes ; then
     3131       coin_f77_comps="ifort fl32 compile_f2c gfortran g95 g77"
    30933132     else
    30943133       coin_f77_comps="gfortran ifort g95 g77 fl32 compile_f2c"
     
    31003139  *) coin_f77_comps="xlf_r fort77 gfortran ifort g95 f77 g77 pgf90 pgf77 ifc frt af77" ;;
    31013140 esac
     3141
    31023142
    31033143
     
    33153355
    33163356# Provide some information about the compiler.
    3317 echo "$as_me:3317:" \
     3357echo "$as_me:3357:" \
    33183358     "checking for Fortran 77 compiler version" >&5
    33193359ac_compiler=`set X $ac_compile; echo $2`
     
    34843524    coin_add_fflags="-pipe"
    34853525    coin_dbg_fflags="-g -O0"
    3486     case $enable_doscompile in
    3487       mingw)
    3488         FFLAGS="-mno-cygwin"
    3489         cat >conftest.$ac_ext <<_ACEOF
    3490       program main
    3491       write(*,*) 'Hello world'
    3492       end
    3493 _ACEOF
    3494 rm -f conftest.$ac_objext conftest$ac_exeext
    3495 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3496   (eval $ac_link) 2>conftest.er1
    3497   ac_status=$?
    3498   grep -v '^ *+' conftest.er1 >conftest.err
    3499   rm -f conftest.er1
    3500   cat conftest.err >&5
    3501   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3502   (exit $ac_status); } &&
    3503          { ac_try='test -z "$ac_f77_werror_flag"
    3504                          || test ! -s conftest.err'
    3505   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3506   (eval $ac_try) 2>&5
    3507   ac_status=$?
    3508   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3509   (exit $ac_status); }; } &&
    3510          { ac_try='test -s conftest$ac_exeext'
    3511   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3512   (eval $ac_try) 2>&5
    3513   ac_status=$?
    3514   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3515   (exit $ac_status); }; }; then
    3516   coin_add_fflags="-mno-cygwin $coin_add_fflags"
    3517 else
    3518   echo "$as_me: failed program was:" >&5
    3519 sed 's/^/| /' conftest.$ac_ext >&5
    3520 
    3521 fi
    3522 rm -f conftest.err conftest.$ac_objext \
    3523       conftest$ac_exeext conftest.$ac_ext
    3524         FFLAGS=
    3525       ;;
    3526     esac
    35273526  else
    35283527    case $build in
     
    36923691    FFLAGS="$OPT_FFLAGS"
    36933692  fi
     3693
    36943694else
    36953695  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    38163816case "$F77" in
    38173817  ifort* | */ifort* | IFORT* | */IFORT*)
    3818     case $build in
     3818
     3819 case $build in
    38193820  *-mingw*)
    38203821    if test "${LD+set}" = set; then :; else
     
    38233824    ;;
    38243825 esac
    3825  case $enable_doscompile in
    3826    msvc)
    3827      if test "x${LD+set}" = xset; then :; else
    3828        LD=link
    3829      fi
    3830      ;;
    3831  esac
     3826 if test $enable_msvc = yes ; then
     3827   if test "x${LD+set}" = xset; then :; else
     3828     LD=link
     3829   fi
     3830 fi
    38323831
    38333832    ;;
    38343833esac
     3834
     3835# check whether to add flag for static linking against standard libraries to LDFLAGS
     3836if test x$use_static_standardlibs != xno ; then
     3837  case $build in
     3838    *-mingw*)
     3839      static_standardlib_flag=-static
     3840      ;;
     3841    *)
     3842      static_standardlib_flag=-static-libgfortran
     3843      ;;
     3844  esac
     3845  case " $LDFLAGS " in
     3846    *" $static_standardlib_flag "* ) ;;
     3847    *)
     3848    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3849echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3850    coin_save_LDFLAGS="$LDFLAGS"
     3851    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3852    cat >conftest.$ac_ext <<_ACEOF
     3853      program main
     3854      integer i
     3855      end
     3856_ACEOF
     3857rm -f conftest.$ac_objext conftest$ac_exeext
     3858if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3859  (eval $ac_link) 2>conftest.er1
     3860  ac_status=$?
     3861  grep -v '^ *+' conftest.er1 >conftest.err
     3862  rm -f conftest.er1
     3863  cat conftest.err >&5
     3864  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3865  (exit $ac_status); } &&
     3866         { ac_try='test -z "$ac_f77_werror_flag"
     3867                         || test ! -s conftest.err'
     3868  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3869  (eval $ac_try) 2>&5
     3870  ac_status=$?
     3871  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3872  (exit $ac_status); }; } &&
     3873         { ac_try='test -s conftest$ac_exeext'
     3874  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3875  (eval $ac_try) 2>&5
     3876  ac_status=$?
     3877  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3878  (exit $ac_status); }; }; then
     3879  echo "$as_me:$LINENO: result: yes" >&5
     3880echo "${ECHO_T}yes" >&6
     3881else
     3882  echo "$as_me: failed program was:" >&5
     3883sed 's/^/| /' conftest.$ac_ext >&5
     3884
     3885echo "$as_me:$LINENO: result: no" >&5
     3886echo "${ECHO_T}no" >&6
     3887       LDFLAGS="$coin_save_LDFLAGS"
     3888       if test $use_static_standardlibs = yes ; then
     3889         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3890echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3891   { (exit 1); exit 1; }; }
     3892       fi
     3893
     3894fi
     3895rm -f conftest.err conftest.$ac_objext \
     3896      conftest$ac_exeext conftest.$ac_ext
     3897    ;;
     3898  esac
     3899fi
    38353900
    38363901ac_ext=c
     
    38943959ac_save_FFLAGS=$FFLAGS
    38953960FFLAGS="$FFLAGS $ac_verb"
    3896 (eval echo $as_me:3896: \"$ac_link\") >&5
     3961(eval echo $as_me:3961: \"$ac_link\") >&5
    38973962ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    38983963echo "$ac_f77_v_output" >&5
     
    39724037ac_save_FFLAGS=$FFLAGS
    39734038FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    3974 (eval echo $as_me:3974: \"$ac_link\") >&5
     4039(eval echo $as_me:4039: \"$ac_link\") >&5
    39754040ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    39764041echo "$ac_f77_v_output" >&5
     
    49455010 #Let's try if that overcomes configuration problem with VC++ 6.0
    49465011
     5012
    49475013ac_ext=cc
    49485014ac_cpp='$CXXCPP $CPPFLAGS'
     
    49635029case $build in
    49645030  *-cygwin* | *-mingw*)
    4965              if test "$enable_doscompile" = msvc ; then
    4966                comps="icl cl"
    4967              else
    4968                comps="g++ cl"
    4969              fi ;;
     5031      if test "$enable_msvc" = yes ; then
     5032         comps="icl cl g++"
     5033      else
     5034         comps="g++ icl cl"
     5035      fi ;;
    49705036  *-*-solaris*)
    49715037             comps="CC xlC_r aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
     
    55145580            coin_warn_cxxflags="-pedantic-errors $coin_warn_cxxflags"
    55155581            ;;
    5516         esac
    5517 
    5518         case $enable_doscompile in
    5519           mingw)
    5520             CXXFLAGS="-mno-cygwin"
    5521             cat >conftest.$ac_ext <<_ACEOF
    5522 /* confdefs.h.  */
    5523 _ACEOF
    5524 cat confdefs.h >>conftest.$ac_ext
    5525 cat >>conftest.$ac_ext <<_ACEOF
    5526 /* end confdefs.h.  */
    5527 
    5528 #ifdef F77_DUMMY_MAIN
    5529 
    5530 #  ifdef __cplusplus
    5531      extern "C"
    5532 #  endif
    5533    int F77_DUMMY_MAIN() { return 1; }
    5534 
    5535 #endif
    5536 int
    5537 main ()
    5538 {
    5539 int i=0; i++;
    5540   ;
    5541   return 0;
    5542 }
    5543 _ACEOF
    5544 rm -f conftest.$ac_objext conftest$ac_exeext
    5545 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    5546   (eval $ac_link) 2>conftest.er1
    5547   ac_status=$?
    5548   grep -v '^ *+' conftest.er1 >conftest.err
    5549   rm -f conftest.er1
    5550   cat conftest.err >&5
    5551   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5552   (exit $ac_status); } &&
    5553          { ac_try='test -z "$ac_cxx_werror_flag"
    5554                          || test ! -s conftest.err'
    5555   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    5556   (eval $ac_try) 2>&5
    5557   ac_status=$?
    5558   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5559   (exit $ac_status); }; } &&
    5560          { ac_try='test -s conftest$ac_exeext'
    5561   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    5562   (eval $ac_try) 2>&5
    5563   ac_status=$?
    5564   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    5565   (exit $ac_status); }; }; then
    5566   coin_add_cxxflags="-mno-cygwin $coin_add_cxxflags"
    5567 else
    5568   echo "$as_me: failed program was:" >&5
    5569 sed 's/^/| /' conftest.$ac_ext >&5
    5570 
    5571 fi
    5572 rm -f conftest.err conftest.$ac_objext \
    5573       conftest$ac_exeext conftest.$ac_ext
    5574             CXXFLAGS=
    5575           ;;
    55765582        esac
    55775583    esac
     
    59585964  clang* ) ;;
    59595965  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    5960     case $build in
     5966
     5967 case $build in
    59615968  *-mingw*)
    59625969    if test "${LD+set}" = set; then :; else
     
    59655972    ;;
    59665973 esac
    5967  case $enable_doscompile in
    5968    msvc)
    5969      if test "x${LD+set}" = xset; then :; else
    5970        LD=link
    5971      fi
    5972      ;;
    5973  esac
     5974 if test $enable_msvc = yes ; then
     5975   if test "x${LD+set}" = xset; then :; else
     5976     LD=link
     5977   fi
     5978 fi
    59745979
    59755980    ;;
    59765981esac
     5982
     5983# check whether to add flag for static linking against standard libraries to LDFLAGS
     5984if test x$use_static_standardlibs != xno ; then
     5985  case $build in
     5986    *-mingw*)
     5987      static_standardlib_flag=-static
     5988      ;;
     5989    *)
     5990      static_standardlib_flag=-static-libstdc++
     5991      ;;
     5992  esac
     5993  case " $LDFLAGS " in
     5994    *" $static_standardlib_flag "* ) ;;
     5995    *)
     5996    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     5997echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     5998    coin_save_LDFLAGS="$LDFLAGS"
     5999    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     6000    cat >conftest.$ac_ext <<_ACEOF
     6001/* confdefs.h.  */
     6002_ACEOF
     6003cat confdefs.h >>conftest.$ac_ext
     6004cat >>conftest.$ac_ext <<_ACEOF
     6005/* end confdefs.h.  */
     6006
     6007#ifdef F77_DUMMY_MAIN
     6008
     6009#  ifdef __cplusplus
     6010     extern "C"
     6011#  endif
     6012   int F77_DUMMY_MAIN() { return 1; }
     6013
     6014#endif
     6015int
     6016main ()
     6017{
     6018int i=0;
     6019  ;
     6020  return 0;
     6021}
     6022_ACEOF
     6023rm -f conftest.$ac_objext conftest$ac_exeext
     6024if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     6025  (eval $ac_link) 2>conftest.er1
     6026  ac_status=$?
     6027  grep -v '^ *+' conftest.er1 >conftest.err
     6028  rm -f conftest.er1
     6029  cat conftest.err >&5
     6030  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6031  (exit $ac_status); } &&
     6032         { ac_try='test -z "$ac_cxx_werror_flag"
     6033                         || test ! -s conftest.err'
     6034  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6035  (eval $ac_try) 2>&5
     6036  ac_status=$?
     6037  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6038  (exit $ac_status); }; } &&
     6039         { ac_try='test -s conftest$ac_exeext'
     6040  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6041  (eval $ac_try) 2>&5
     6042  ac_status=$?
     6043  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6044  (exit $ac_status); }; }; then
     6045  echo "$as_me:$LINENO: result: yes" >&5
     6046echo "${ECHO_T}yes" >&6
     6047else
     6048  echo "$as_me: failed program was:" >&5
     6049sed 's/^/| /' conftest.$ac_ext >&5
     6050
     6051echo "$as_me:$LINENO: result: no" >&5
     6052echo "${ECHO_T}no" >&6
     6053       LDFLAGS="$coin_save_LDFLAGS"
     6054       if test $use_static_standardlibs = yes ; then
     6055         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     6056echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     6057   { (exit 1); exit 1; }; }
     6058       fi
     6059
     6060fi
     6061rm -f conftest.err conftest.$ac_objext \
     6062      conftest$ac_exeext conftest.$ac_ext
     6063    ;;
     6064  esac
     6065fi
    59776066
    59786067ac_ext=c
     
    59856074
    59866075# Get the name of the C compiler and appropriate compiler options
     6076
    59876077
    59886078
     
    60256115case $build in
    60266116  *-cygwin* | *-mingw*)
    6027              if test "$enable_doscompile" = msvc ; then
    6028                comps="icl cl"
     6117             if test "$enable_msvc" = yes ; then
     6118               comps="icl cl gcc"
    60296119             else
    6030                comps="gcc cl"
     6120               comps="gcc icl cl"
    60316121             fi ;;
    60326122  *-*-solaris*)
     
    67206810            ;;
    67216811        esac
    6722         case $enable_doscompile in
    6723           mingw)
    6724             CFLAGS="-mno-cygwin"
    6725             cat >conftest.$ac_ext <<_ACEOF
    6726 /* confdefs.h.  */
    6727 _ACEOF
    6728 cat confdefs.h >>conftest.$ac_ext
    6729 cat >>conftest.$ac_ext <<_ACEOF
    6730 /* end confdefs.h.  */
    6731 
    6732 #ifdef F77_DUMMY_MAIN
    6733 
    6734 #  ifdef __cplusplus
    6735      extern "C"
    6736 #  endif
    6737    int F77_DUMMY_MAIN() { return 1; }
    6738 
    6739 #endif
    6740 int
    6741 main ()
    6742 {
    6743 int i=0; i++;
    6744   ;
    6745   return 0;
    6746 }
    6747 _ACEOF
    6748 rm -f conftest.$ac_objext conftest$ac_exeext
    6749 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    6750   (eval $ac_link) 2>conftest.er1
    6751   ac_status=$?
    6752   grep -v '^ *+' conftest.er1 >conftest.err
    6753   rm -f conftest.er1
    6754   cat conftest.err >&5
    6755   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6756   (exit $ac_status); } &&
    6757          { ac_try='test -z "$ac_c_werror_flag"
    6758                          || test ! -s conftest.err'
    6759   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6760   (eval $ac_try) 2>&5
    6761   ac_status=$?
    6762   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6763   (exit $ac_status); }; } &&
    6764          { ac_try='test -s conftest$ac_exeext'
    6765   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6766   (eval $ac_try) 2>&5
    6767   ac_status=$?
    6768   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6769   (exit $ac_status); }; }; then
    6770   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    6771 else
    6772   echo "$as_me: failed program was:" >&5
    6773 sed 's/^/| /' conftest.$ac_ext >&5
    6774 
    6775 fi
    6776 rm -f conftest.err conftest.$ac_objext \
    6777       conftest$ac_exeext conftest.$ac_ext
    6778             CFLAGS=
    6779           ;;
    6780         esac
    67816812    esac
    67826813  fi
     
    69857016    CFLAGS="$OPT_CFLAGS"
    69867017  fi
     7018
    69877019else
    69887020  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    71517183  clang* ) ;;
    71527184  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    7153     case $build in
     7185
     7186 case $build in
    71547187  *-mingw*)
    71557188    if test "${LD+set}" = set; then :; else
     
    71587191    ;;
    71597192 esac
    7160  case $enable_doscompile in
    7161    msvc)
    7162      if test "x${LD+set}" = xset; then :; else
    7163        LD=link
    7164      fi
    7165      ;;
    7166  esac
     7193 if test $enable_msvc = yes ; then
     7194   if test "x${LD+set}" = xset; then :; else
     7195     LD=link
     7196   fi
     7197 fi
    71677198
    71687199    ;;
    71697200esac
     7201
     7202# check whether to add flags for static linking against standard libraries to LDFLAGS
     7203if test x$use_static_standardlibs != xno ; then
     7204  case $build in
     7205    *-mingw*)
     7206      static_standardlib_flag=-static
     7207      ;;
     7208    *)
     7209      static_standardlib_flag=-static-libgcc
     7210      ;;
     7211  esac
     7212  case " $LDFLAGS " in
     7213    *" $static_standardlib_flag "* ) ;;
     7214    *)
     7215    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     7216echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     7217    coin_save_LDFLAGS="$LDFLAGS"
     7218    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     7219    cat >conftest.$ac_ext <<_ACEOF
     7220/* confdefs.h.  */
     7221_ACEOF
     7222cat confdefs.h >>conftest.$ac_ext
     7223cat >>conftest.$ac_ext <<_ACEOF
     7224/* end confdefs.h.  */
     7225
     7226#ifdef F77_DUMMY_MAIN
     7227
     7228#  ifdef __cplusplus
     7229     extern "C"
     7230#  endif
     7231   int F77_DUMMY_MAIN() { return 1; }
     7232
     7233#endif
     7234int
     7235main ()
     7236{
     7237int i=0;
     7238  ;
     7239  return 0;
     7240}
     7241_ACEOF
     7242rm -f conftest.$ac_objext conftest$ac_exeext
     7243if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     7244  (eval $ac_link) 2>conftest.er1
     7245  ac_status=$?
     7246  grep -v '^ *+' conftest.er1 >conftest.err
     7247  rm -f conftest.er1
     7248  cat conftest.err >&5
     7249  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7250  (exit $ac_status); } &&
     7251         { ac_try='test -z "$ac_c_werror_flag"
     7252                         || test ! -s conftest.err'
     7253  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7254  (eval $ac_try) 2>&5
     7255  ac_status=$?
     7256  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7257  (exit $ac_status); }; } &&
     7258         { ac_try='test -s conftest$ac_exeext'
     7259  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7260  (eval $ac_try) 2>&5
     7261  ac_status=$?
     7262  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7263  (exit $ac_status); }; }; then
     7264  echo "$as_me:$LINENO: result: yes" >&5
     7265echo "${ECHO_T}yes" >&6
     7266else
     7267  echo "$as_me: failed program was:" >&5
     7268sed 's/^/| /' conftest.$ac_ext >&5
     7269
     7270echo "$as_me:$LINENO: result: no" >&5
     7271echo "${ECHO_T}no" >&6
     7272       LDFLAGS="$coin_save_LDFLAGS"
     7273       if test $use_static_standardlibs = yes ; then
     7274         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     7275echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     7276   { (exit 1); exit 1; }; }
     7277       fi
     7278
     7279fi
     7280rm -f conftest.err conftest.$ac_objext \
     7281      conftest$ac_exeext conftest.$ac_ext
     7282    ;;
     7283  esac
     7284fi
    71707285
    71717286ac_ext=c
     
    89379052*-*-irix6*)
    89389053  # Find out which ABI we are using.
    8939   echo '#line 8939 "configure"' > conftest.$ac_ext
     9054  echo '#line 9054 "configure"' > conftest.$ac_ext
    89409055  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    89419056  (eval $ac_compile) 2>&5
     
    1091711032   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1091811033   -e 's:$: $lt_compiler_flag:'`
    10919    (eval echo "\"\$as_me:10919: $lt_compile\"" >&5)
     11034   (eval echo "\"\$as_me:11034: $lt_compile\"" >&5)
    1092011035   (eval "$lt_compile" 2>conftest.err)
    1092111036   ac_status=$?
    1092211037   cat conftest.err >&5
    10923    echo "$as_me:10923: \$? = $ac_status" >&5
     11038   echo "$as_me:11038: \$? = $ac_status" >&5
    1092411039   if (exit $ac_status) && test -s "$ac_outfile"; then
    1092511040     # The compiler can only warn and ignore the option if not recognized
     
    1118511300   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1118611301   -e 's:$: $lt_compiler_flag:'`
    11187    (eval echo "\"\$as_me:11187: $lt_compile\"" >&5)
     11302   (eval echo "\"\$as_me:11302: $lt_compile\"" >&5)
    1118811303   (eval "$lt_compile" 2>conftest.err)
    1118911304   ac_status=$?
    1119011305   cat conftest.err >&5
    11191    echo "$as_me:11191: \$? = $ac_status" >&5
     11306   echo "$as_me:11306: \$? = $ac_status" >&5
    1119211307   if (exit $ac_status) && test -s "$ac_outfile"; then
    1119311308     # The compiler can only warn and ignore the option if not recognized
     
    1128911404   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1129011405   -e 's:$: $lt_compiler_flag:'`
    11291    (eval echo "\"\$as_me:11291: $lt_compile\"" >&5)
     11406   (eval echo "\"\$as_me:11406: $lt_compile\"" >&5)
    1129211407   (eval "$lt_compile" 2>out/conftest.err)
    1129311408   ac_status=$?
    1129411409   cat out/conftest.err >&5
    11295    echo "$as_me:11295: \$? = $ac_status" >&5
     11410   echo "$as_me:11410: \$? = $ac_status" >&5
    1129611411   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1129711412   then
     
    1370613821  lt_status=$lt_dlunknown
    1370713822  cat > conftest.$ac_ext <<EOF
    13708 #line 13708 "configure"
     13823#line 13823 "configure"
    1370913824#include "confdefs.h"
    1371013825
     
    1380613921  lt_status=$lt_dlunknown
    1380713922  cat > conftest.$ac_ext <<EOF
    13808 #line 13808 "configure"
     13923#line 13923 "configure"
    1380913924#include "confdefs.h"
    1381013925
     
    1616616281   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1616716282   -e 's:$: $lt_compiler_flag:'`
    16168    (eval echo "\"\$as_me:16168: $lt_compile\"" >&5)
     16283   (eval echo "\"\$as_me:16283: $lt_compile\"" >&5)
    1616916284   (eval "$lt_compile" 2>conftest.err)
    1617016285   ac_status=$?
    1617116286   cat conftest.err >&5
    16172    echo "$as_me:16172: \$? = $ac_status" >&5
     16287   echo "$as_me:16287: \$? = $ac_status" >&5
    1617316288   if (exit $ac_status) && test -s "$ac_outfile"; then
    1617416289     # The compiler can only warn and ignore the option if not recognized
     
    1627016385   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1627116386   -e 's:$: $lt_compiler_flag:'`
    16272    (eval echo "\"\$as_me:16272: $lt_compile\"" >&5)
     16387   (eval echo "\"\$as_me:16387: $lt_compile\"" >&5)
    1627316388   (eval "$lt_compile" 2>out/conftest.err)
    1627416389   ac_status=$?
    1627516390   cat out/conftest.err >&5
    16276    echo "$as_me:16276: \$? = $ac_status" >&5
     16391   echo "$as_me:16391: \$? = $ac_status" >&5
    1627716392   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1627816393   then
     
    1784017955   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1784117956   -e 's:$: $lt_compiler_flag:'`
    17842    (eval echo "\"\$as_me:17842: $lt_compile\"" >&5)
     17957   (eval echo "\"\$as_me:17957: $lt_compile\"" >&5)
    1784317958   (eval "$lt_compile" 2>conftest.err)
    1784417959   ac_status=$?
    1784517960   cat conftest.err >&5
    17846    echo "$as_me:17846: \$? = $ac_status" >&5
     17961   echo "$as_me:17961: \$? = $ac_status" >&5
    1784717962   if (exit $ac_status) && test -s "$ac_outfile"; then
    1784817963     # The compiler can only warn and ignore the option if not recognized
     
    1794418059   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1794518060   -e 's:$: $lt_compiler_flag:'`
    17946    (eval echo "\"\$as_me:17946: $lt_compile\"" >&5)
     18061   (eval echo "\"\$as_me:18061: $lt_compile\"" >&5)
    1794718062   (eval "$lt_compile" 2>out/conftest.err)
    1794818063   ac_status=$?
    1794918064   cat out/conftest.err >&5
    17950    echo "$as_me:17950: \$? = $ac_status" >&5
     18065   echo "$as_me:18065: \$? = $ac_status" >&5
    1795118066   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1795218067   then
     
    2015120266   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2015220267   -e 's:$: $lt_compiler_flag:'`
    20153    (eval echo "\"\$as_me:20153: $lt_compile\"" >&5)
     20268   (eval echo "\"\$as_me:20268: $lt_compile\"" >&5)
    2015420269   (eval "$lt_compile" 2>conftest.err)
    2015520270   ac_status=$?
    2015620271   cat conftest.err >&5
    20157    echo "$as_me:20157: \$? = $ac_status" >&5
     20272   echo "$as_me:20272: \$? = $ac_status" >&5
    2015820273   if (exit $ac_status) && test -s "$ac_outfile"; then
    2015920274     # The compiler can only warn and ignore the option if not recognized
     
    2041920534   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2042020535   -e 's:$: $lt_compiler_flag:'`
    20421    (eval echo "\"\$as_me:20421: $lt_compile\"" >&5)
     20536   (eval echo "\"\$as_me:20536: $lt_compile\"" >&5)
    2042220537   (eval "$lt_compile" 2>conftest.err)
    2042320538   ac_status=$?
    2042420539   cat conftest.err >&5
    20425    echo "$as_me:20425: \$? = $ac_status" >&5
     20540   echo "$as_me:20540: \$? = $ac_status" >&5
    2042620541   if (exit $ac_status) && test -s "$ac_outfile"; then
    2042720542     # The compiler can only warn and ignore the option if not recognized
     
    2052320638   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2052420639   -e 's:$: $lt_compiler_flag:'`
    20525    (eval echo "\"\$as_me:20525: $lt_compile\"" >&5)
     20640   (eval echo "\"\$as_me:20640: $lt_compile\"" >&5)
    2052620641   (eval "$lt_compile" 2>out/conftest.err)
    2052720642   ac_status=$?
    2052820643   cat out/conftest.err >&5
    20529    echo "$as_me:20529: \$? = $ac_status" >&5
     20644   echo "$as_me:20644: \$? = $ac_status" >&5
    2053020645   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    2053120646   then
     
    2965529770echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2965629771coin_link_input_cmd="$LN_S"
    29657 if test "$enable_doscompile" = mingw; then
    29658   coin_link_input_cmd=cp
    29659 fi
    2966029772case "$CC" in
    2966129773  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.